INDEX-THEMES(1)

NAME
index-themes - populate and index local theme data

SYNOPSIS
index-themes [[-path] dir [[-temp|-work|-working] dir]]

DESCRIPTION
index-themes prepares a directory to hold local Percha-Altman theme data, then downloads full dumps from NCBI and Zenodo servers, organizes the data into an rchive(1) trie, and fully indexes the resulting archive.

OPTIONS

[-path] dir
    Place the local archive in dir.

[-temp|-work|-working] dir
    Place intermediate subtrees in dir.

ENVIRONMENT

EDIRECT_PUBMED_MASTER
    Local archive directory to use in the absence of -path. Expected to hold an absolute path; mandatory when not supplying a path on the command line.

EDIRECT_PUBMED_WORKING
    Directory to hold intermediate subtrees in the absence of -temp|-work|-working. Expected to hold an absolute path. Defaults to the primary local archive directory when not set.

SEE ALSO
download-ncbi-data(1), fetch-extras(1), index-extras(1), index-pubmed(1), rchive(1), theme-aliases(1), xtract(1).